return function(R)
    R.Anim={}
    R.AnimFrame={}

    function R.Anim:new(name)
		local o={
            name=name,
            frames={},
        }
		setmetatable(o,self)
		self.__index=self
		return o
	end

    function R.Anim:addFrame(f)
        self.frames[#self.frames+1]=f
	end

    function R.AnimFrame:new()
		local o={
            vtxs={}
        }
		setmetatable(o,self)
		self.__index=self
		return o
	end

    function R.AnimFrame:addVtx(v)
        self.vtxs[#self.vtxs+1]=v
	end
end
